> For the complete documentation index, see [llms.txt](https://academy.gopersonal.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://academy.gopersonal.ai/developers/api-reference/interacciones.md).

# Interacciones

Mediante esta api es posible enviar las interacciones a Go Shops que permitirán realizar recomendaciones.

* Version: 1.0
* Base URL: <https://go-discover.goshops.com>
* API body: `application/json`
* API response: `application/json`

## Enviar interacción de un cliente con un item

<mark style="color:green;">`POST`</mark> `/feedback`

#### Headers

| Name                                        | Type   | Description                                                         |
| ------------------------------------------- | ------ | ------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | api key para autorizar la operación. Lo puedes obtener en el Admin. |

#### Request Body

| Name                                      | Type   | Description                                                                                           |
| ----------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------- |
| project<mark style="color:red;">\*</mark> | String | Id del proyecto                                                                                       |
| data<mark style="color:red;">\*</mark>    | Object | <p>\*event (requerido) <br>\*item (requerido)<br>\*customer (requerido)<br>\*date (requerido)<br></p> |

{% tabs %}
{% tab title="200: OK Operación exitosa" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="400: Bad Request Alguno de los campos requeridos ausente" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized x-api-key ausente o inválido" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

Los eventos disponibles son:&#x20;

* **view:** El cliente vió un item&#x20;
* **like:** El cliente agregó a sus favoritos el item
* **cart:** El cliente agregó a su carrito el item
* **purchase:** El cliente confirmó la compra del item


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://academy.gopersonal.ai/developers/api-reference/interacciones.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
